Package org.apache.solr.client.solrj.routing

## Interface ReplicaListTransformer

All Known Implementing Classes:
  `AffinityReplicaListTransformer`, `ShufflingReplicaListTransformer`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface ReplicaListTransformer

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> void` `transform​(List<T> choices)` Transforms the passed in list of choices.

### Method Detail

#### transform

    <T> void transform​(List<T> choices)

Transforms the passed in list of choices. Transformations can include (but are not limited to) reordering of elements (e.g. via shuffling) and removal of elements (i.e. filtering).

Parameters:
  `choices` - - a list of choices to transform, typically the choices are `Replica` objects but choices can also be `String` objects such as URLs passed in via the `ShardParams.SHARDS` parameter.